import type { Plugin, OutputOptions } from 'rollup';
import { type StatsOptions } from 'rollup-plugin-stats/extract';
import { type BundleTransformOptions } from './transform';
import { type StatsWrite } from './write';
type WebpackStatsOptions = {
    /**
     * JSON file output fileName
     * default: webpack-stats.json
     */
    fileName?: string;
    /**
     * Custom file writer
     * @default - fs.write(FILENAME, JSON.stringify(STATS, null, 2));
     */
    write?: StatsWrite;
} & Omit<StatsOptions, "source"> & BundleTransformOptions;
type WebpackStatsOptionsOrBuilder = WebpackStatsOptions | ((outputOptions: OutputOptions) => WebpackStatsOptions);
export declare const webpackStats: (options?: WebpackStatsOptionsOrBuilder) => Plugin;
export {};
